Subject: IAB model published on IAB stream ---- was Re: [IAB] IAB Job Description - Call for Comments

From: Olaf Kolkman <[email-masked]>
Date: Tue, 9 Jul 2019 14:52:32 +0000

[On Personal title, and changing the subject because this answers a specific question]

[snip]

>> > 
>>  > The related statement in RFC 6635 is slightly different, as it says:
>>  > 
>>  >    The IAB is responsible for the oversight of the RFC Series and acts
>>  >    as a body for final conflict resolution, including the process
>>  >    described in Section 4.3 <<https://tools.ietf.org/html/rfc6635#section-4.3>>.
>>
>>
>>  True, but that isn't a BCP with IETF consensus, is it?
>>
>>
>
> No it isn't.  My understanding of the reasoning behind that choice, though, was that it matched the new model better to have the model documents published in the IAB stream.  Leslie and Olaf may have better clue than me, though.

Indeed. Paraphrasing my recollection: the motivations was the idea that on the topic of the RFC model, the IETF community was a subset of the interested parties and publication on the IAB stream would signal a disinterested broker.

—Olaf

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 10 Jul 2019 10:22:30 +1200

> Indeed. Paraphrasing my recollection: the motivations was the idea that on the topic of the RFC model, the IETF community was a subset of the interested parties and publication on the IAB stream wo…

Understood. But this is an area where we have to be very careful to distinguish
decisions that can or should be made by IETF consensus (because they affect the IETF standards process) and decisions that affect the wider technical community, where the authority to declare consensus is much less well defined. I'm not suggesting that this is a new problem, of course, still less that there is an easy solution.

    Brian

---

From: Christian Huitema <[email-masked]>
Date: Tue, 9 Jul 2019 20:05:23 -0700

> On Jul 9, 2019, at 3:22 PM, Brian E Carpenter <[email-masked]> wrote:
> 
> But this is an area where we have to be very careful to distinguish
> decisions that can or should be made by IETF consensus (because they affect the IETF standards process) and decisions that affect the wider technical community, where the authority to declare consensus is much less well defined. I'm not suggesting that this is a new problem, of course, still less that there is an easy solution

I personally think that the "wider technical community" of potential RFC publishers is a pious myth. I think it already was during the Arpanet project: the wider community included a bunch of non-US research networks, but these researchers rarely published in the RFC series, if at all. For example, how many RFC did Louis Pouzin author?

There is indeed some amount of RFC that come through the independent stream. But these documents are typically part of the IETF "sphere": documentation of protocols in order to get a code point in one of the IANA registries, documentation of existing protocols as part of WG proposals or dissenting voices in the IETF process.  All that is great and useful but these documents are largely IETF centric, even if they are not produced directly by the IETF. Their authors are very often participating in the IETF process, and arguably part of the IETF community.

In contrast, there are tons of important networking ideas and standards that are documented outside the RFC process. The IEEE, USENIX, the W3C, OARC, NANOG or RIPE all publish interesting documents, but they don't appear much interested in using the services of the RFC editor.

I think we should not try defer to a mythical community. Mythical entities create poor accountability. Power hiding behind a mythical entity is power without balance, and that's not a good way to construct the future.

-- Christian Huitema

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 10 Jul 2019 15:47:33 +1200

Bonjour Christian,

On 10-Jul-19 15:05, Christian Huitema wrote:
> I personally think that the "wider technical community" of potential RFC publishers is a pious myth. 

I did not only mean potential writers of RFCs. There's a very wide community of technical RFC readers, any of whom might want to activate the "C" (for Comments) or whose work might be affected by a particular RFC. 3GPP and ITU-T documents are littered with RFC citations. If you look at the citations in CCR, SIGCOMM, or IEEE papers, you'll see our overlap with academia. There are technical journalists, who are very well able to find and (mis)understand RFCs. There are also non-technical readers, even politicians.

In any case the IETF and IRTF have fuzzy notions of membership, so there is no real boundary outside which the only potential authors are writing Independent Submissions.

So no, I don't think it's a myth, it's just hard to define.

Regards
   Brian

> I think it already was during the Arpanet project: the wider community included a bunch of non-US research networks, but these researchers rarely published in the RFC series, if at all. For example, how many RFC did Louis Pouzin author?
>

---

From: Christian Huitema <[email-masked]>
Date: Tue, 9 Jul 2019 23:03:31 -0700

> I did not only mean potential writers of RFCs. There's a very wide community of technical RFC readers, any of whom might want to activate the "C" (for Comments) or whose work might be affected by a…

Of course there are a variety of people who read RFC. In fact, it would
be great if we could get actual feedback from these readers, or even
answer simple questions about the readership of [RFC wxyz]. I understand
that getting this kind of feedback is actually very hard, in large part
because we value "free access" to our information -- and I certainly
don't want to see tracking beacons embedded in RFC.

But citations or readerships don't make a community. After all, we have
plenty of citations of IEEE standards in the RFC stream, but that does
not make us part of the IEEE. If I want to provide feedback on some IEEE
802 standard, I have to join them, or act through someone who did.
Similarly, people who want to comment on a particular RFC typically
provide feedback to the authors or the working group that created it --
i.e., they participate in the IETF, or interact with people who do.

-- Christian Huitema

---

From: Leif Johansson <[email-masked]>
Date: Wed, 10 Jul 2019 09:45:26 +0200

> I personally think that the "wider technical community" of potential RFC publishers is a pious myth. I think it already was during the Arpanet project: the wider community included a bunch of non-U…

Most of modern digital identity left the IETF to go work elsewhere.

This stuff all used to happen in PKIX, but later incarnations of the
same ideas happened in OASIS, Kantara, the OpenIDC and to some extent
the FIDO alliance.

There were several reasons why the IETF never attracted these groups,
one of which was undoubtedly different views on IPR. Equally
important the communities involved simply had their focal point
elsewhere and had no reason to come to IETF meetings to do work.

There is no objective reason why those standards could not have
published as RFCs. This may have required several independent RFC
streams though. Its fair to ask if anything of value has really
been lost - after all all that stuff got done anyway.

	Cheers Leif

---

From: "S. Moonesamy" <[email-masked]>
Date: Thu, 11 Jul 2019 02:47:03 -0700

Dear Christian,
At 08:05 PM 09-07-2019, Christian Huitema wrote:
>I personally think that the "wider technical community" of potential 
>RFC publishers is a pious myth. I think it already was during the 
>Arpanet project: the wider community included a bunch of non-US 
>research networks, but these researchers rarely published in

There is a book which described the IETF as serving as ground-zero 
for the Internet technical community.  Nowadays, the term is 
ambiguous as it has been used to describe different entities.

>There is indeed some amount of RFC that come through the independent 
>stream. But these documents are typically part of the IETF "sphere": 
>documentation of protocols in order to get a code point in one of 
>the IANA registries, documentation of existing protocols as part of 
>WG proposals or dissenting voices in the IETF process.  All that is 
>great and useful but these documents are largely IETF centric, even 
>if they are not produced directly by the IETF. Their authors are 
>very often participating in the IETF process, and arguably part of 
>the IETF community.

There are different processes for maintaining the technical 
identifiers; the IETF process is one of them.  There are also 
participants who are involved in more than one of those 
decision-making processes.  I doubt that the IETF community, as 
represented by this mailing list, would be viewed as the acceptable 
venue for decision-making when the decision is about a matter which 
goes beyond IETF standardization.

There are other standards development organizations which are active 
in the development of protocols and standards.  Those organizations 
have their own publication mechanisms.

>I think we should not try defer to a mythical community. Mythical 
>entities create poor accountability. Power hiding behind a mythical 
>entity is power without balance, and that's not a good way to 
>construct the future.

The folklore is not a substitute for a proper accountability 
mechanism.  From the outside, it is useful to consider whether the 
decision-making process would be viewed as legitimate.

Regards,
S. Moonesamy